// 03-segment.js

var ce = ee.Image('users/JunXiong1981/release/pixel-based-classification')

var imageCollection = ee.ImageCollection("users/<username>/rhseg_hswo")
var add_prefix = function(i) {
    var prefix = ee.Image(ee.Number(i).multiply(ee.Number(1e5))).uint32();
    var image = ee.Image(collect.get(i)).add(prefix)
    return image
}

for (var lon = -26; lon < 64; lon = lon + 4) {
    for (var lat = 38; lat > -35; lat = lat - 4) {
        var oname = 'E' + lon.toString() + 'N' + lat.toString()
        oname = oname.replace('E-', 'W').replace('N-', 'S')

        var geometry = ee.Geometry.Polygon([
            [
                [lon, lat],
                [lon + 4, lat],
                [lon + 4, lat - 4],
                [lon, lat - 4]
            ]
        ]).buffer(-1e4).bounds();
        var collect = imageCollection.filterBounds(geometry).toList(1e2)
        var n = collect.size().getInfo()
        // print(oname+':'+n.toString())
        // if(n===0) break;
        var newcollect = ee.List.sequence(0, n - 1).map(add_prefix)

        newcollect = ee.ImageCollection.fromImages(newcollect).mosaic().uint32()
        // var g = newcollect.geometry()
        var image = ce.uint32().addBands(newcollect)
        var region = ee.Geometry.Polygon([
            [
                [lon, lat],
                [lon + 4, lat],
                [lon + 4, lat - 4],
                [lon, lat - 4]
            ]
        ]).buffer(1e2).bounds();
        // print(g.bounds())
        // print(region)
        Export.image.toCloudStorage(image, oname, 'junwork', 'tmp/4d-'.concat(oname), null,
            region, 30, null, null, 1e13)

        // break;
    }
    // break;
}
print('here')


// print(newcollect)
// Map.addLayer(newcollect.mosaic().randomVisualizer(), {}, '2')